// Correction application Chapitre 7
// Macroconomie quantitative (2014, d. Ellipses) 
// par Christophe Cahn

// Ce fichier permet de reproduire les lements contenu
// dans le fichier App_7_NKM.pdf disponible sur le site
// www.christophecahn.fr/macroquant
// 
// Filename : App_7_modfile.mod
// Application : dynare & Matlab/Octave
// Date : 24-04-2014
// Christophe Cahn (c) 2014


var y p i z ;
varexo e nu ;

parameters k b a ap ay rho sige signu h ph;
a = .9 ;
b = .98 ;
k = (1-b*a)*(1-a)/a ;
h = .3 ;
ph = h/(1-h) ;
ap = 1.5 ;
ay = .125 ;
rho = 0.9 ;
sige = .007 ;
signu = .005 ;

model;
  y = y(+1) - (i - p(+1)) ;
  p = b*p(+1) + k*(1+ph)*(y - z) ;
  i = ap*p + ay*y + nu ;
  z = rho*z(-1) + e ;
end;

shocks;
  var e; stderr sige ;
  var nu; stderr signu ;
end;

stoch_simul(irf=60,graph_format=pdf);